VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Cocoon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Cocoon
'Zwraca odpowiedni rodzaj Butterfly
Public Function getButterfly(y As Single) As Butterfly
  If y = 0 Then
    Set getButterfly = New addButterfly
  Else
    Set getButterfly = New trigButterfly
  End If
End Function
